import subprocess
import sys
import time

d = ["5", "10", "15" ]
subprocess.run( ["python", "lorenz.py", d[0], d[1], d[2] ] )

plot = subprocess.Popen( ['/usr/bin/gnuplot'], stdin=subprocess.PIPE, stdout=subprocess.PIPE, encoding='utf8', text=True )

plot.stdin.write( """
set term qt enhanced
unset key
set xrange [-20:20]
set yrange [-30:30]
set zrange [0:50]
set title "Oscilador de Lorenz" 
splot 'osc.txt' w l lw 2
""" )
plot.stdin.flush()

time.sleep(0.1)

try: 
	while 1 :
		subprocess.run( ["python", "lorenz.py", d[0], d[1], d[2] ] )
		plot.stdin.write( 'rep\n' )
		plot.stdin.flush()
		time.sleep(0.5)
		a = subprocess.run( ["tail", "-1", "osc.txt" ], capture_output=True )
		arg = a.stdout.decode('utf8')
		# print( arg )
		d = arg.split()
		# print( d )

except KeyboardInterrupt:
	plot.terminate()
	print( "Bye!" )
	sys.exit(0)
